#
# $Id: process_apache_errorlog.pl,v 1.4 2001/12/21 08:32:26 fpmip Exp $
#

# Author : Tycho Fruru <tycho@fruru.com>

# Copyright (C) 2001 Tycho Fruru <tycho@fruru.com>
# Copyright (C) 2001 Conostix S.A. Luxembourg - Tycho Fruru <tycho@conostix.com>

# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#

print "Registering process_apache_errorlog\n";

sub process_apache_error_log_1($$$$) {
	my $dbh = shift;
	my $apache_line = shift;
	my $table_name = shift;
	my $r_sql_hash = shift;
	
	# make local copies so that we don't pollute the global variables
	my %sql_hash = %{$r_sql_hash};
	
	my $rc = 1;
	
	my %apache_sql_hash = %sql_hash;
	
	$apache_sql_hash{'message'} = $apache_line;
			
	if ($apache_line =~ /^\[([^\]]+)\] .*$/) {
		$apache_sql_hash{"time"}=$1;
		$process_apache_errorlog::LAST_TIME=$1;
	} else {
		if (defined($process_apache_errorlog::LAST_TIME)) {
			$apache_sql_hash{'time'}=
				$process_apache_errorlog::LAST_TIME;
			#show_msg(4,"Apache error line $decoded_apache_line not acceptable in entry nr. $index\n");
		}
	}
			
	$rc = insert_data_into_table($dbh,$table_name,\%apache_sql_hash);

	show_msg(10,"End of process_apache_error_log_1, return $rc");
	
	return $rc; # 1 is ok, 0 is not ok
}

return 1;
