#
# $Id: process_transport_mon_alert.pl,v 1.1 2002/01/04 14:31:29 fpmip Exp $
#

# Author : Tycho Fruru <tycho@fruru.com>

# Copyright (C) 2001 Tycho Fruru <tycho@fruru.com>
# Copyright (C) 2001 Conostix S.A. Luxembourg - Tycho Fruru <tycho@conostix.com>

# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#

print "Registering process_transport_mon_alert\n";

sub process_transport_mon_alert($$$$$) {
	my $dbh = shift;
	my $entry = shift;
	my $function_name = shift;
	my $table_name = shift;
	my $r_sql_hash = shift;
	
	my $current_entry;
	my $index = 0;
	my $rc = 1;

	my %sql_hash = %{$r_sql_hash};

	my $mon_alert = $entry->{'mon-alert'}->[0];
	
	if (!defined($mon_alert)) {
		show_msg(1,"no mon-alert line in process_transport_mon_alert !");
		return 0;
	}
	
	$sql_hash{'alert_type'}=$mon_alert->{'alerttype'};
	$sql_hash{'mon_group'}=$mon_alert->{'group'};
	$sql_hash{'service'}=$mon_alert->{'service'};
	$sql_hash{'summary'}=$mon_alert->{'summary'};

	if (defined($mon_alert->{'timenoticed'})) {
		my $time_string = gmtime($mon_alert->{'timenoticed'});
		$time_string = $time_string." UTC";
		$sql_hash{'time'}=$time_string;
	}
	
	$sql_hash{'next_alert'}=$mon_alert->{'nextalert'};
	$sql_hash{'members'}=$mon_alert->{'members'};
	
	my $mon_message=decode_entry($mon_alert->{'message'}->[0]);
	
	$rc = &$function_name($dbh,$mon_message,$table_name,\%sql_hash);

	show_msg(5,"return value for process_transport_mon_alert : $rc\n");
	return $rc;
}

return 1;
