--
-- Selected TOC Entries:
--

-- $Id: db-secadvisory.sql,v 1.1 2001/12/03 10:05:53 fpmip Exp $

-- Author : Alexandre Dulaunoy 
-- Copyright (C) 2001 Alexandre Dulaunoy <alex@thinkingsecure.com>
-- Copyright (C) 2001 Conostix S.A. Luxembourg - Alexandre Dulaunoy <alex@conostix.com>

-- This program is free software; you can redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by the
-- Free Software Foundation; either version 2 of the License, or (at your
-- option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
--
-- This program is distributed in the hope that it will be useful, but
-- WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-- for more details.


--
-- TOC Entry ID 2 (OID 17914)
--
-- Name: advisory_id_seq Type: SEQUENCE Owner: alex
--

CREATE SEQUENCE "advisory_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1;

--
-- TOC Entry ID 8 (OID 17916)
--
-- Name: advisory Type: TABLE Owner: alex
--

CREATE TABLE "advisory" (
	"advisory_id" integer DEFAULT nextval('"advisory_id_seq"'::text) NOT NULL,
	"source_id" integer NOT NULL,
	"advisory_text" text,
	"advisory_creation" timestamp(6) with time zone DEFAULT now(),
	"advisory_modified" timestamp(6) with time zone DEFAULT now(),
	"advisory_enable" boolean DEFAULT 't',
	"user_id" integer,
	Constraint "advisory_pkey" Primary Key ("advisory_id")
);

--
-- TOC Entry ID 4 (OID 17922)
--
-- Name: source_id_seq Type: SEQUENCE Owner: alex
--

CREATE SEQUENCE "source_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1;

--
-- TOC Entry ID 9 (OID 17924)
--
-- Name: source Type: TABLE Owner: alex
--

CREATE TABLE "source" (
	"source_id" integer DEFAULT nextval('"source_id_seq"'::text) NOT NULL,
	"source_url" text,
	"source_enable" boolean DEFAULT 't',
	"source_creation" timestamp(6) with time zone DEFAULT now(),
	"source_remark" text
);

--
-- TOC Entry ID 6 (OID 17929)
--
-- Name: tracking_id_seq Type: SEQUENCE Owner: alex
--

CREATE SEQUENCE "tracking_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1;

--
-- TOC Entry ID 10 (OID 17931)
--
-- Name: tracking Type: TABLE Owner: alex
--

CREATE TABLE "tracking" (
	"tracking_id" integer DEFAULT nextval('"tracking_id_seq"'::text) NOT NULL,
	"advisory_id" integer,
	"external_inventory" text,
	"tracking_correct" boolean DEFAULT 't',
	"tracking_done" boolean DEFAULT 't',
	"tracking_creation" timestamp(6) with time zone DEFAULT now(),
	"tracking_remark" text
);


--
-- Data for TOC Entry ID 23 (OID 17916)
--
-- Name: advisory Type: TABLE DATA Owner: alex
--


COPY "advisory" FROM stdin;
1	1	CISCO ARP IOS BUG	2001-11-21 19:52:58.381344+01	2001-11-21 19:52:58.381344+01	t	\N
\.
--
-- Data for TOC Entry ID 24 (OID 17924)
--
-- Name: source Type: TABLE DATA Owner: alex
--


COPY "source" FROM stdin;
1	cust-security-announce@cisco.com	t	2001-11-21 19:51:57.514303+01	\N
\.
--
-- Data for TOC Entry ID 25 (OID 17931)
--
-- Name: tracking Type: TABLE DATA Owner: alex
--


COPY "tracking" FROM stdin;
1	1	inventory_db_1:12345	t	t	2001-11-21 19:54:01.005919+01	automatic tracking between inventory and security advisory
\.

--
-- TOC Entry ID 3 (OID 17914)
--
-- Name: advisory_id_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"advisory_id_seq"', 1, true);

--
-- TOC Entry ID 5 (OID 17922)
--
-- Name: source_id_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"source_id_seq"', 1, true);

--
-- TOC Entry ID 7 (OID 17929)
--
-- Name: tracking_id_seq Type: SEQUENCE SET Owner: 
--

SELECT setval ('"tracking_id_seq"', 1, true);

